=== debian/changelog ===
ntfs2btrfs (20210923-2) unstable; urgency=medium

  * d/control: add missing pkg-config, liblzo2-dev, libzstd-dev, and zlib1g-dev
    to build-depends.

 -- Gürkan Myczko <tar@debian.org>  Tue, 16 Nov 2021 09:18:58 +0100

ntfs2btrfs (20210923-1) unstable; urgency=medium

  * New upstream version.
  * d/control:
    - add Vcs fields.
    - update maintainer address.

 -- Gürkan Myczko <tar@debian.org>  Mon, 15 Nov 2021 21:04:36 +0100

ntfs2btrfs (20210523-1) unstable; urgency=medium
 
  * Initial release. (Closes: #993939)
 
 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 08 Sep 2021 12:07:45 +0200
