=== debian/control ===
Source: ntfs2btrfs
Section: utils
Priority: optional
Maintainer: Gürkan Myczko <tar@debian.org>
Build-Depends: debhelper-compat (= 13), cmake, libfmt-dev, pkg-config, zlib1g-dev, liblzo2-dev, libzstd-dev
Standards-Version: 4.6.0
Homepage: https://github.com/maharmstone/ntfs2btrfs
Vcs-Browser: https://salsa.debian.org/debian/ntfs2btrfs
Vcs-Git: https://salsa.debian.org/debian/ntfs2btrfs.git
Rules-Requires-Root: no

Package: ntfs2btrfs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: btrfs-progs
Description: converts NTFS filesystem to BTRFS
 This is a tool which does in-place conversion of Microsoft's NTFS filesystem
 to the open-source filesystem Btrfs, much as btrfs-convert does for ext2.
 The original image is saved as a reflink copy at image/ntfs.img, and if you
 want to keep the conversion you can delete this to free up space.
