## ntfs2btrfs 20220812

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,9 @@
-if(MSVC)
-    cmake_minimum_required(VERSION 3.15)
-    cmake_policy(SET CMP0091 NEW)
-else()
-    cmake_minimum_required(VERSION 3.14.3)
-endif()
+cmake_minimum_required(VERSION 3.14.3)
 
-project(ntfs2btrfs VERSION 20210923)
+cmake_policy(SET CMP0091 NEW)
+set(CMAKE_MSVC_RUNTIME_LIBRARY "MultiThreaded$<$<CONFIG:Debug>:Debug>")
+
+project(ntfs2btrfs VERSION 20220812)
 
 include(GNUInstallDirs)
 
@@ -16,7 +14,7 @@
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/src/config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/ntfs2btrfs.8.in ${CMAKE_CURRENT_BINARY_DIR}/ntfs2btrfs.8)
 
-set(CMAKE_CXX_STANDARD 17)
+set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 find_package(fmt REQUIRED)
@@ -58,8 +56,10 @@
 endif()
 
 add_executable(ntfs2btrfs ${SRC_FILES})
-set_property(TARGET ntfs2btrfs PROPERTY
-    MSVC_RUNTIME_LIBRARY "MultiThreaded$<$<CONFIG:Debug>:Debug>")
+
+if(CMAKE_BUILD_TYPE MATCHES "Debug")
+    add_definitions(-D_GLIBCXX_DEBUG)
+endif()
 
 target_link_libraries(ntfs2btrfs fmt::fmt-header-only)
 
@@ -89,5 +89,5 @@
     target_compile_options(ntfs2btrfs PRIVATE -Wall -Wextra -Wno-address-of-packed-member -Wconversion -Wno-unknown-pragmas -Werror=pointer-arith)
 endif()
 
-install(TARGETS ntfs2btrfs DESTINATION sbin)
+install(TARGETS ntfs2btrfs DESTINATION ${CMAKE_INSTALL_SBINDIR})
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/ntfs2btrfs.8 DESTINATION ${CMAKE_INSTALL_MANDIR}/man8)
