=== debian/changelog ===
ntfs2btrfs (20220812-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.6.1.
  * d/copyright: bump years.

 -- Gürkan Myczko <tar@debian.org>  Mon, 15 Aug 2022 12:49:02 +0200
