=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Gürkan Myczko <tar@debian.org>
 Build-Depends: debhelper-compat (= 13), cmake, libfmt-dev, pkg-config, zlib1g-dev, liblzo2-dev, libzstd-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/maharmstone/ntfs2btrfs
 Vcs-Browser: https://salsa.debian.org/debian/ntfs2btrfs
 Vcs-Git: https://salsa.debian.org/debian/ntfs2btrfs.git
