## ntfs2btrfs 20230501

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 cmake_policy(SET CMP0091 NEW)
 set(CMAKE_MSVC_RUNTIME_LIBRARY "MultiThreaded$<$<CONFIG:Debug>:Debug>")
 
-project(ntfs2btrfs VERSION 20220812)
+project(ntfs2btrfs VERSION 20230501)
 
 include(GNUInstallDirs)
