=== debian/changelog ===
ntfs2btrfs (20230501-2) unstable; urgency=medium

  * Upload to unstable.

 -- Gürkan Myczko <tar@debian.org>  Sun, 11 Jun 2023 16:14:59 +0200

ntfs2btrfs (20230501-1) experimental; urgency=medium

  * New upstream version.
  * d/copyright: bump years.
  * Bump standards version to 4.6.2.

 -- Gürkan Myczko <tar@debian.org>  Wed, 03 May 2023 23:04:58 +0200
