=== debian/changelog ===
ntfs2btrfs (20240115-2) unstable; urgency=medium

  * Bump standards version to 4.7.0.
  * d/control: update build depends pkg-config to pkgconf.

 -- Alex Myczko <tar@debian.org>  Mon, 15 Jul 2024 06:19:47 +0000

ntfs2btrfs (20240115-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: bump years.

 -- Gürkan Myczko <tar@debian.org>  Mon, 22 Jan 2024 08:24:28 +0100
