=== debian/control ===
--- 
+++ 
@@ -1,9 +1,15 @@
 Source: ntfs2btrfs
 Section: utils
 Priority: optional
-Maintainer: Gürkan Myczko <tar@debian.org>
-Build-Depends: debhelper-compat (= 13), cmake, libfmt-dev, pkg-config, zlib1g-dev, liblzo2-dev, libzstd-dev
-Standards-Version: 4.6.1
+Maintainer: Alex Myczko <tar@debian.org>
+Build-Depends: debhelper-compat (= 13),
+ cmake,
+ pkgconf,
+ libfmt-dev,
+ liblzo2-dev,
+ libzstd-dev,
+ zlib1g-dev,
+Standards-Version: 4.7.0
 Homepage: https://github.com/maharmstone/ntfs2btrfs
 Vcs-Browser: https://salsa.debian.org/debian/ntfs2btrfs
 Vcs-Git: https://salsa.debian.org/debian/ntfs2btrfs.git
