=== debian/changelog ===
ntfs2btrfs (20250616-2) unstable; urgency=medium

  * Upload to sid.

 -- Alex Myczko <tar@debian.org>  Fri, 05 Sep 2025 10:38:13 -0500

ntfs2btrfs (20250616-1) experimental; urgency=medium

  * New upstream version.
  * Bump standards version to 4.7.2.

 -- Alex Myczko <tar@debian.org>  Mon, 07 Jul 2025 09:35:54 +0000
