=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  liblzo2-dev,
  libzstd-dev,
  zlib1g-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/maharmstone/ntfs2btrfs
 Vcs-Browser: https://salsa.debian.org/debian/ntfs2btrfs
 Vcs-Git: https://salsa.debian.org/debian/ntfs2btrfs.git
